<?php


class Server {
    public $server_id = "";
    public $server_name  = "";
    function __construct($server_id,$server_name) {
          $this->server_id = $server_id;
          $this->server_name = $server_name;
    }    
}

$server_list = array(
    new Server("1", "A phòng"),
    new Server("2", "Thanh Long"),
    new Server("3", "Bạch Hổ")
);

die(json_encode(array("data" => $server_list)));


$params = array(
    "api_key",
    "appota_id",
    "signature"
);

include "common.php";
$encode_params = "";

for ($i = 0; $i < count($params); $i++) {
    if (!isset($_GET[$params[$i]]))
    {    
        die(json_encode(array(
            "error_code"=>1,
            "message"=>"Missing ".$params[$i])));                  
    }
    else {
        if(empty($_GET[$params[$i]]))
        {     
            die(json_encode(array(
                "error_code"=>1,
                "message"=>$params[$i]." should not be empty")));                              
        }        
    }
    if(strcmp($params[$i], "signature") != 0) {
        $encode_params .= $_GET[$params[$i]];
    }
}

$encode_params .= PAYHUB_SECRET_KEY;


// Check valid signature
if (strcmp(md5($encode_params), $_GET["signature"]) !== 0) {
   die(json_encode(array(
        "error_code"=>1,        
        "message"=>"Invalid signature")));                                  
}
else {
    die(json_encode(array("data" => $server_list)));
}

?>
