<?php

class Role {
    public $role_id = "";
    public $role_name  = "";
    function __construct($role_id,$role_name) {
          $this->role_id = $role_id;
          $this->role_name = $role_name;
    }    
}

$params = array(
    "api_key",
    "role_id",
    "server_id",
    "signature"
);

include "common.php";
$encode_params = "";

for ($i = 0; $i < count($params); $i++) {
    if (!isset($_GET[$params[$i]]))
    {    
        die(json_encode(array(
            "error_code"=>1,
            "message"=>"Missing ".$params[$i])));                  
    }
    else {
        if(empty($_GET[$params[$i]]))
        {     
            die(json_encode(array(
                "error_code"=>1,
                "message"=>$params[$i]." should not be empty")));                              
        }        
    }
    if(strcmp($params[$i], "signature") != 0) {
        $encode_params .= $_GET[$params[$i]];
    }
}
$encode_params .= PAYHUB_SECRET_KEY;

// Check valid signature
if (strcmp(md5($encode_params), $_GET["signature"]) !== 0) {    
   die(json_encode(
        array("error_code"=>1,
              "message"=>"Invalid signature")        
    ));                                      
}
else {
    die(json_encode(
        array("error_code"=>0,
              "message"=>"Valid roleID")        
    ));                                          
}

?>
